Package org.apache.sling.distribution.journal.kafka

## Class JsonRecordHandler<T>

- java.lang.Object
- - org.apache.sling.distribution.journal.kafka.JsonRecordHandler<T>

    public class JsonRecordHandler<T>
    extends Object

### Field Summary

Fields
`org.apache.sling.distribution.journal.MessageHandler<T>` `handler`
`com.fasterxml.jackson.databind.ObjectReader` `reader`

### Constructor Summary

Constructors
`JsonRecordHandler​(org.apache.sling.distribution.journal.MessageHandler<T> handler, com.fasterxml.jackson.databind.ObjectReader reader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept​(org.apache.kafka.clients.consumer.ConsumerRecord<String,​String> record)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### handler

    public final org.apache.sling.distribution.journal.MessageHandler<T> handler

#### reader

    public final com.fasterxml.jackson.databind.ObjectReader reader

### Constructor Detail

#### JsonRecordHandler

    public JsonRecordHandler​(org.apache.sling.distribution.journal.MessageHandler<T> handler,
                             com.fasterxml.jackson.databind.ObjectReader reader)

### Method Detail

#### accept

    public void accept​(org.apache.kafka.clients.consumer.ConsumerRecord<String,​String> record)
                throws IOException

Throws:
  `IOException`